%define debug_package %{nil}
%global pkgrelease 7.3
Summary: The GNU libc 32-bit libraries.
Name: glibc32
Version: 2.20
Release: %{pkgrelease}%{?dist}.8
License: LGPL
Group: System Environment/Libraries
Source: glibc32-%{version}-%{pkgrelease}.tar.bz2
ExclusiveArch: x86_64 ppc64 s390x

%description
The glibc package contains standard libraries which are used by
multiple programs on the system. In order to save disk space and
memory, as well as to make upgrading easier, common system code is
kept in one place and shared between programs. This particular package
contains the most important sets of shared libraries: the standard C
library and the standard math library. Without these two libraries, a
Linux system will not function.

%prep
%setup

%build

%install
cp -a %{_target_cpu}/* $RPM_BUILD_ROOT/

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
/lib/*
/usr/lib/*
/usr/include/*

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.20-7.3.8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.20-7.3.7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 17 2017 Florian Weimer <fweimer@redhat.com> - 2.20-7.3.6
- Revert addition of glibc-static(x86-32) and glibc(x86-32) (#1482267)

* Wed Aug 16 2017 Peter Jones <pjones@redhat.com> - 2.20-7.3.5
- Make glibc32.x86_64 provide glibc-static(x86-32) and glibc(x86-32)

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.20-7.3.4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.20-7.3.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed May 03 2017 Dan Horák <dan[at]danny.cz> - 2.20-7.3.2
- rebuilt for new arch (s390x)

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.20-7.3.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Nov 30 2016 Petr Šabata <contyk@redhat.com> - 2.20-7.3
- Add the %%dist macro (needed for Modularity & Base Runtime)

* Tue Nov 22 2016 Dan Horák <dan[at]danny.cz> - 2.20-7.2
- rebuilt for new arch (ppc64)
- modernize spec

* Thu Jan 15 2015 Jakub Jelinek <jakub@redhat.com> 2.20-7.1
- add nss-softokn-freebl bits from 3.17.3-1 (i686 and s390) and
  3.16.0-2 (ppc)

* Thu Jan 15 2015 Jakub Jelinek <jakub@redhat.com> 2.20-7
- updated from 2.20-7 (i686 and s390) and 2.19.90-12 (ppc)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.18.90-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Feb 17 2014 Karsten Hopp <karsten@redhat.com> 2.18.90-2
- add libfreebl3.so from nss-softokn-freebl-3.15.4-1

* Sun Feb 16 2014 Karsten Hopp <karsten@redhat.com> 2.18.90-1
- updated from 2.18.90-27
- add some missing changelogs

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.11.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.11.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.11.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.11.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.11.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jan 28 2010 Jakub Jelinek <jakub@redhat.com>
- updated from glibc-2.11.1-1 and nss-softokn-3.12.4-10.fc12

* Tue Jul 11 2006 Jakub Jelinek <jakub@redhat.com>
- updated from glibc-2.4.90-13

* Sat Feb  4 2006 Jakub Jelinek <jakub@redhat.com>
- updated from glibc-2.3.90-36

* Wed Feb 16 2005 Jakub Jelinek <jakub@redhat.com>
- updated from glibc-2.3.4-10
  - also include /usr/include/gnu/stubs-32.h

* Fri Oct 15 2004 Jakub Jelinek <jakub@redhat.com>
- updated from glibc-2.3.3-68

* Thu Jan 22 2004 Jakub Jelinek <jakub@redhat.com>
- updated from glibc-2.3.3-4

* Tue Apr 15 2003 Elliot Lee <sopwith@redhat.com>
- Update, add ppc64, cleanup install section

* Tue Mar  4 2003 Jakub Jelinek <jakub@redhat.com>
- update

* Sun Nov 10 2002 Jakub Jelinek <jakub@redhat.com>
- temporary package
